#include "partition.h"
#include<algorithm>
#include<set>
using namespace std;

std::vector<int> solve(std::vector<int> A) {
    int p_cnt = (A.size()/2)/2;

    vector<int> indices;
    for(int i = 0; i < p_cnt; i++) {
        indices.push_back(i);
        indices.push_back(A.size()-1-i);
    }
    if(A.size() % 2) {
        indices.push_back(A.size()-1-p_cnt);
    }
    for(int i = p_cnt; indices.size() < A.size(); i++) {
        indices.push_back(i);
    }
    return indices;
}

